/* Copyright (C) 2023 GSI Helmholtzzentrum fuer Schwerionenforschung, Darmstadt
   SPDX-License-Identifier: GPL-3.0-only
   Authors: Sergey Gorbunov [committer] */

#ifndef CbmL1Util_H
#define CbmL1Util_H 1

#include "Rtypes.h"

#include "CaTrackParam.h"

class FairTrackParam;

///
/// Collection of useful utilites for CbmL1
///
namespace cbm::L1Util
{

  /// copy fair track param to Ca track param
  cbm::algo::ca::TrackParamD ConvertTrackParam(const FairTrackParam& par);

  /// copy Ca track param to fair track param
  FairTrackParam ConvertTrackParam(const cbm::algo::ca::TrackParamD& t);

}  // namespace cbm::L1Util

#endif
